package
{
import flash.display.*
import flash.text.*;
import flash.events.*;
import flash.utils.*;
import flash.net.*;
import flash.external.*;


/**
 * Desktop Windows
 * 
 * @author	neolao (neo@neolao.com)
 */
public class DesktopWindows extends Sprite
{
	// ------------------------------ CONSTANTS --------------------------------
	
	// ------------------------------ VARIABLES --------------------------------
	[Embed(source="../images/windows/task_bar.png")]
	private var _taskBarImage:Class;
	private var _taskBar:Bitmap;
	
	[Embed(source="../images/windows/launch_button.png")]
	private var _launchButtonImage:Class;
	private var _launchButton:Bitmap;
	
	[Embed(source="../images/windows/date.png")]
	private var _dateImage:Class;
	private var _date:Bitmap;
	
	[Embed(source="../images/windows/icons.png")]
	private var _iconsImage:Class;
	private var _icons:Bitmap;
	
	
	/*============================= CONSTRUCTOR ==============================*/
	/*========================================================================*/
	/**
	 * Constructor
	 */
	public function DesktopWindows()
	{
		// background
		var background:Sprite = new Sprite();
		background.graphics.beginFill(0x3a6ea5);
		background.graphics.lineTo(5000, 0);
		background.graphics.lineTo(5000, 5000);
		background.graphics.lineTo(0, 5000);
		background.graphics.endFill();
		this.addChild(background);
		
		// icons
		this._icons = new _iconsImage() as Bitmap;
        this.addChild(this._icons);
		
		// task bar
		this._taskBar = new _taskBarImage() as Bitmap;
        this.addChild(this._taskBar);
		
		// launch button
		this._launchButton = new _launchButtonImage() as Bitmap;
        this.addChild(this._launchButton);
		
		// date
		this._date = new _dateImage() as Bitmap;
        this.addChild(this._date);
		
		// events
		this.addEventListener(Event.ADDED, this._addedHandler);
	}
	/*======================= END = CONSTRUCTOR = END ========================*/
	/*========================================================================*/
	
	/*================================ PUBLIC ================================*/
	/*========================================================================*/

	/*========================== END = PUBLIC = END ==========================*/
	/*========================================================================*/
	
	/*=============================== PRIVATE ================================*/
	/*========================================================================*/
	/**
	 * 
	 */
	private function _addedHandler(pEvent:Event):void
	{
		stage.addEventListener(Event.RESIZE, this._resizeHandler);
	}
	/**
	 * 
	 */
	private function _resizeHandler(pEvent:Event):void
	{
		this._taskBar.y = stage.stageHeight - this._taskBar.height;
		this._launchButton.y = stage.stageHeight - this._launchButton.height;
		this._date.y = stage.stageHeight - this._date.height;
		this._date.x = stage.stageWidth - this._date.width;
	}
	/*========================= END = PRIVATE = END ==========================*/
	/*========================================================================*/
}	
}